View Issue Details

IDProjectCategoryView StatusLast Update
0006939mantisbtbugtrackerpublic2016-08-28 01:12
ReporterKlappieAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.1Fixed in Version1.3.1 
Summary0006939: Number of Private notes visible for reporters
Description

An DEVELOPER is able to add some private note(s) to an issue.

When the REPORTER checks the page "View Issues" they will notice that there are notes added to the issue. When they open that issue, they can not read the contents of the private notes (thank god).

The private notes should not be counted if the active user is an REPORTER. Only the public notes should then be counted.

TagsNo tags attached.

Relationships

has duplicate 0012782 closedatrol Bugnotes numbers in View Issues page include private notes of other users 

Activities

Klappie

Klappie

2006-04-14 10:00

reporter   ~0012503

I'm using version 1.0.1.

Also, if the REPORTER checks the "Change Log" they will see the person who handled the issue. We do not want to show this information to the user.

augustin_trancart

augustin_trancart

2008-09-05 05:55

reporter   ~0019315

I noticed this also using version 1.1.2

Is it possible to show to a user only the number of notes he is able to see ?

md

md

2008-09-30 04:06

reporter   ~0019475

Acknowledge both points; some option to hide the person who handled the issue and a fix for the number of displayed notes

Dentxinho

Dentxinho

2012-02-27 16:53

reporter   ~0031337

I can handle this.

I need to know if the private notes should be ignored (as they never existed) or just not to be counted.
This is because of the last_modified column returned by filter_cache_result. If i ignore the private bugnotes and the last modified bugnote is private, the result will be the last modified public one. (I didn't go any further yet to see if this last_modified column is ever used).

Dentxinho

Dentxinho

2012-02-27 20:28

reporter   ~0031339

Last edited: 2012-07-03 08:57

View 2 revisions

PR sent https://github.com/mantisbt/mantisbt/pull/43

lbredenkamp

lbredenkamp

2015-03-18 10:51

reporter   ~0049260

Is this issue still being worked on? It seems it is still present in mantis 1.2.19 and I would very much appreciate a solution.

cproensa

cproensa

2015-09-17 14:42

developer   ~0051496

PR: https://github.com/mantisbt/mantisbt/pull/650/files

cproensa

cproensa

2016-08-18 20:00

developer   ~0053861

new PR: https://github.com/mantisbt/mantisbt/pull/856

Related Changesets

MantisBT: master-1.3.x 0b175c81

2015-09-17 06:54:06

cproensa


Committer: dregad Details Diff
Count only visible notes

Fix counting the number of notes to skip those that are not visible
according to the user's access levels (private notes).

Bugnote count is built alongside bugnote statistics.

This commit rewrites the statistics generation to account for user
access level for each bug and each project.

Removes duplicate logic (sql queries) from:
- bug_api.php: function bug_get_bugnote_stats()
- filter_api.php: function filter_get_bug_rows()

Fixes: 0006939
mod - core/bug_api.php Diff File
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2006-04-14 09:05 Klappie New Issue
2006-04-14 10:00 Klappie Note Added: 0012503
2008-09-05 05:55 augustin_trancart Note Added: 0019315
2008-09-30 04:06 md Note Added: 0019475
2008-10-04 02:39 vboctor Status new => acknowledged
2011-03-08 15:57 atrol Relationship added has duplicate 0012782
2011-03-08 15:58 atrol Target Version => 1.2.5
2011-04-05 12:25 jreese Target Version 1.2.5 => 1.2.6
2011-07-26 09:53 jreese Target Version 1.2.6 => 1.2.7
2011-08-22 10:49 jreese Target Version 1.2.7 => 1.2.8
2011-09-06 10:33 jreese Target Version 1.2.8 => 1.2.9
2012-02-27 16:53 Dentxinho Note Added: 0031337
2012-02-27 20:28 Dentxinho Note Added: 0031339
2012-03-04 09:23 atrol Target Version 1.2.9 => 1.2.10
2012-04-02 02:33 atrol Target Version 1.2.10 => 1.2.11
2012-06-06 23:54 jreese Target Version 1.2.11 => 1.2.12
2012-07-03 08:57 dregad Note Edited: 0031339 View Revisions
2012-11-10 19:04 dregad Target Version 1.2.12 => 1.2.13
2013-01-22 09:48 dregad Target Version 1.2.13 => 1.2.14
2013-01-29 09:28 dregad Target Version 1.2.14 => 1.2.15
2013-04-12 09:57 dregad Target Version 1.2.15 => 1.2.16
2014-01-23 17:48 atrol Target Version 1.2.16 =>
2015-03-18 10:51 lbredenkamp Note Added: 0049260
2015-09-17 14:42 cproensa Note Added: 0051496
2016-08-18 20:00 cproensa Assigned To => cproensa
2016-08-18 20:00 cproensa Status acknowledged => assigned
2016-08-18 20:00 cproensa Note Added: 0053861
2016-08-19 09:58 dregad Changeset attached => MantisBT master-1.3.x 0b175c81
2016-08-19 09:58 dregad Assigned To cproensa => dregad
2016-08-19 09:58 dregad Status assigned => resolved
2016-08-19 09:58 dregad Resolution open => fixed
2016-08-19 09:58 dregad Fixed in Version => 1.3.1
2016-08-19 09:59 dregad Assigned To dregad => cproensa
2016-08-19 09:59 dregad Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed